import {IsNotEmpty, IsString, IsUUID} from 'class-validator';
import {UUID} from "crypto";

export class UpdateAlbumDto {
  @IsUUID()
  uuid: UUID;

  @IsString()
  @IsNotEmpty()
  title: string;

  @IsString()
  @IsNotEmpty()
  artist: string;

  @IsString()
  @IsNotEmpty()

  @IsString()
  @IsNotEmpty()
  genre: string;
}
